package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.MerchantImage;

@Mapper
public interface MerchantImageMapper extends BaseMapper<MerchantImage> {

    MerchantImage queryMerchantImage(MerchantImage merchantImage);

    List<MerchantImage> queryMerchantImageList(MerchantImage merchantImage);

    void saveMerchantImage(MerchantImage merchantImage);

    void updateMerchantImage(MerchantImage merchantImage);

    void deleteMerchantImage(MerchantImage merchantImage);

    List<MerchantImage> queryMerchantImagePage(Map map);

    Integer queryMerchantImagePageCount(Map map);

    /**
     * 保存多个
     * @param merchantImageList
     */
    void saveMerchantImageBatch(List<MerchantImage> merchantImageList);

    void deleteMerchantImageByMerchantCode(MerchantImage merchantImage);
}

